<?php
	include 'protege_professor.php';
	 date_default_timezone_set('America/Sao_Paulo');
	
	$idvenda = $_GET['idvenda'];

	$idvenda == '' ? $idvenda = 0 : '';

	function grava_log1($data_log,$usuario_id,$descricao_log){

		include "conexao.php";
		$query_log = "insert into log (data_log,usuario_id,descricao_log) values('$data_log','$usuario_id','$descricao_log')";
		$executa_log = mysqli_query($db, $query_log);
		return 1;
	}

	function nome_user($id){
		include "conexao.php";
		$query_igpm = "SELECT nome_cli FROM cliente where idcliente = $id";
		$executa_igpm = mysqli_query ($db, $query_igpm);                

        while ($buscar_amigoc = mysqli_fetch_assoc($executa_igpm)) {//--verifica se são amigos

        	$nome_cli  = $buscar_amigoc['nome_cli'];
        }

        return $nome_cli;
    } 

	if($_SESSION['idgrupo_acesso'] == 5 AND $idvenda != 0){

		include 'conexao.php';
		$query = mysqli_query($db, "SELECT * FROM `venda` WHERE `idvenda` = $idvenda")or die(mysqli_error($db));

		if(mysqli_num_rows($query) > 0){

			$assoc = mysqli_fetch_assoc($query);
			$lote = $assoc['lote_idlote'];

			$query_lote = mysqli_query($db, "SELECT * FROM `lote` WHERE `idlote` =  $lote")or die(mysqli_error($db));

			if(mysqli_num_rows($query_lote) > 0){
				$assoc_lote = mysqli_fetch_assoc($query_lote);

				if($assoc_lote['status'] == 1){
					$query_lote = mysqli_query($db, "UPDATE `lote` SET `status`= 0 WHERE `idlote` = $lote")or die(mysqli_error($db));
					$query_lote = mysqli_query($db, "UPDATE `venda` SET `status_venda`= 2 WHERE `idvenda` = $idvenda")or die(mysqli_error($db));

					grava_log1(date('d-m-Y H:i:s'), $_SESSION['id_usuario'], "O Usuario ".nome_user($_SESSION['id_usuario']).", fez uma aprovação de uma proposta recusada referente a venda Nº ".$idvenda);
				}
			}
		}
	}

?>

<script type="text/javascript">
	history.back(-2);
</script>